package com.ibiz.core.external.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ibiz.core.external.domain.ORG;
import com.ibiz.core.external.filter.ORGSearchContext;

/**
 * 实体[ORG] 服务对象接口
 */

public interface IORGService{
     boolean checkKey(ORG org) ;
     boolean create(ORG org) ;
     ORG get(String orgid) ;
     ORG get(ORG org) ;
     boolean save(ORG org) ;
     boolean remove(String orgid) ;
     boolean update(ORG org) ;
     ORG getDraft(ORG org) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<ORG> searchDefault(ORGSearchContext context) ;

    /**
     * 查询集合 顶级组织
     */
     Page<ORG> searchTopOrg(ORGSearchContext context) ;

    /**
     * 查询集合 当前组织
     */
     Page<ORG> searchCurOrg(ORGSearchContext context) ;

    /**
     * 根据机构查询
     */
     Page<ORG> selectByPORG(String orgid) ;
     List<ORG> selectByPORG2(String orgid);

}
